package com.reyun.model;

import java.util.List;
import java.util.Map;

/**
 * Created by nolan on 26/12/2016.
 * description:
 */
public class ReportListResult extends ReportResult {
    private List<Map<String, Object>> val;
    private List<Object> columnkey;
    private List<String> name;
    private List<String> reportname;
    private List<String> desc;

    public List<Object> getColumnkey() {
        return columnkey;
    }

    public void setColumnkey(List<Object> columnkey) {
        this.columnkey = columnkey;
    }

    public List<Map<String, Object>> getVal() {
        return val;
    }

    public void setVal(List<Map<String, Object>> val) {
        this.val = val;
    }
    
    public List<String> getName() {
		return name;
	}

	public void setName(List<String> name) {
		this.name = name;
	}
	
	public List<String> getReportname() {
		return reportname;
	}

	public void setReportname(List<String> reportname) {
		this.reportname = reportname;
	}

	public List<String> getDesc() {
		return desc;
	}

	public void setDesc(List<String> desc) {
		this.desc = desc;
	}

	
	@Override
	public String toString() {
		return "ReportListResult [val=" + val + ", columnkey=" + columnkey
				+ ", name=" + name + ", reportname=" + reportname + ", desc="
				+ desc + "]";
	}
}
